<h3 class="text-center mt-3">Register</h3>
<div class="row justify-content-center align-items-center mt-2">
  <div class="col-md-4 col-lg-5">
    <form [formGroup]="registrationForm" (ngSubmit)="submit()" autocomplete="off">
      <div class="form-group mb-5">
        <label for="name" class="">Name</label>
        <input
          formControlName="name"
          name="name"
          type="text"
          class="form-control mb-2 default-input-border"
          id="name"
          required
          minlength="6"
        >
        <div *ngIf="shouldShowError(registerFormControl.name)"
             [ngClass]="getInputErrorClass(registerFormControl.name)"
             class="error-message"
        >
          {{ nameValidationError }}
        </div>

      </div>
      <div class="form-group mb-5">
        <label for="email" class="">Email</label>
        <input
          formControlName="email"
          appEmailValidator
          name="email"
          type="email"
          class="form-control mb-2 default-input-border"
          id="email"
          required>
        <div *ngIf="shouldShowError(registerFormControl.email)"
             [ngClass]="getInputErrorClass(registerFormControl.email)"
             class="error-message"
        >
          {{ registerFormControl.email.errors?.required ? 'Email is required' : 'Error occurred' }}
        </div>
      </div>
      <div class="form-group mb-5">
        <label for="password" class="">Password</label>
        <div class="password-wrap">
          <input
            formControlName="password"
            #toggle="toggle"
            #inputElement
            name="password"
            class="form-control mb-2 default-input-border"
            id="password"
            appPasswordTypeToggle
            required
          >
          <fa-icon
            *ngIf="registerFormControl.password.dirty && !registerFormControl.password.errors?.required"
            [icon]="inputElement.type === 'password' ? eyeIcon : eyeSlashIcon"
            role="button"
            class="eye-icon"
            (click)="toggle.toggleType()"
          >
          </fa-icon>
        </div>
        <div *ngIf="shouldShowError(registerFormControl.password)"
             [ngClass]="getInputErrorClass(registerFormControl.password)"
             class="error-message"
        >
          {{ registerFormControl.password.errors?.required ? 'Email is required' : 'Error occurred' }}
        </div>
      </div>
      <app-button
        buttonType="submit"
        text="Register"
        class="submit-button"
        [borderStyle]="borderStyle"
        (click)="register()"
      >
      </app-button>
    </form>
  </div>
</div>
